<div class="plc alarmRemarkStatement">
    <div class="plc-menu">
        {{config.statement}}
    </div>
    <!--<move-template></move-template>-->
    <div class="plc-content device-statement-content">
        <form class="form-horizontal" role="form">
            <div class="row">
                <div class="col-sm-12">
                    <div class="public-horizon" style="margin-top: 15px;">
                <label class="horizon-label label-4" style=" text-align: left; width: auto;">设备：</label>
                <div class="horizon-group horizon-col-3">
                    <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(deviceInput)}">
                        <input ng-init="deviceInput=false" ng-focus="deviceInput=true"
                               ng-keyup="upModel()" ng-disabled="false"
                               ng-blur="deviceInput=false" type="text"
                               value="" placeholder="搜索" class="form-control ad-left-child"
                               ng-model="statementConfig.currentDeviceNum" ng-change="controlQueryBtn()">
                        <i class="fa fa-search ad-right-child focus" ng-click="toDeviceHelp()"
                           ng-if="config.deviceCode"></i>
                        <i class="ion-ios-close-outline ad-right-child focus"
                           ng-click="deleteAll('deviceCode')" ng-if="!config.deviceCode"></i>
                    </div>
                </div>
                <div class="col-sm-8 col-xs-8">
                    <label class="control-label label-title alarm-state-code-margin-left">ip：{{config.ip}}</label>
                </div>
                <!--<div class="col-sm-3 col-xs-3">-->
                    <!--<label class="control-label label-title"></label>-->
                <!--</div>-->
                <!--<div class="col-sm-3 col-xs-3">-->
                    <!--<label class="control-label label-title"></label>-->
                <!--</div>-->
                <!--<div class="col-sm-2 col-xs-2 px-public-hide-div">-->
                    <!--<div ng-click="showHideCol()" class="px-public-hide-inline">-->
                        <!--<i class="fa fa-cog"></i>-->
                        <!--<div class="px-public-hide-col">显示隐藏列-->
                        <!--</div>-->
                    <!--</div>-->
                <!--</div>-->
                <div class="horizon-btns">
                    <button class="btn btn-primary" ng-click="queryData()" ng-disabled="config.queryStatus">查询</button>
                </div>
                </div>
                </div>
            </div>
        </form>
        <div class="row">
            <div class="col-sm-12">
                    <!--设备状态-->

                        <div ui-grid="gridAlarmRemarkStatement"  ng-style="getHeight()"
                             ui-grid-edit ui-grid-cellnav  ui-grid-auto-resize
                             ui-grid-validate ui-grid-resize-columns
                        ></div>
            </div>
        </div>
    </div>
</div>
<script>
function getIPs(callback){
    var ip_dups = {};

    //compatibility for firefox and chrome
    var RTCPeerConnection = window.RTCPeerConnection
        || window.mozRTCPeerConnection
        || window.webkitRTCPeerConnection;
    var useWebKit = !!window.webkitRTCPeerConnection;

    //bypass naive webrtc blocking using an iframe
    if(!RTCPeerConnection){
        //NOTE: you need to have an iframe in the page right above the script tag
        //
        //<iframe id="iframe" sandbox="allow-same-origin" style="display: none"></iframe>
        //<script>...getIPs called in here...
        //
        var win = iframe.contentWindow;
        RTCPeerConnection = win.RTCPeerConnection
            || win.mozRTCPeerConnection
            || win.webkitRTCPeerConnection;
        useWebKit = !!win.webkitRTCPeerConnection;
    }

    //minimal requirements for data connection
    var mediaConstraints = {
        optional: [{RtpDataChannels: true}]
    };

    var servers = {iceServers: [{urls: "stun:stun.services.mozilla.com"}]};

    //construct a new RTCPeerConnection
    var pc = new RTCPeerConnection(servers, mediaConstraints);

    function handleCandidate(candidate){
        //match just the IP address
        var ip_regex = /([0-9]{1,3}(\.[0-9]{1,3}){3}|[a-f0-9]{1,4}(:[a-f0-9]{1,4}){7})/
        var ip_addr = ip_regex.exec(candidate)[1];

        //remove duplicates
        if(ip_dups[ip_addr] === undefined)
            callback(ip_addr);

        ip_dups[ip_addr] = true;
    }

    //listen for candidate events
    pc.onicecandidate = function(ice){

        //skip non-candidate events
        if(ice.candidate)
            handleCandidate(ice.candidate.candidate);
    };

    //create a bogus data channel
    pc.createDataChannel("");

    //create an offer sdp
    pc.createOffer(function(result){

        //trigger the stun server request
        pc.setLocalDescription(result, function(){}, function(){});

    }, function(){});

    //wait for a while to let everything done
    setTimeout(function(){
        //read candidate info from local description
        var lines = pc.localDescription.sdp.split('\n');

        lines.forEach(function(line){
            if(line.indexOf('a=candidate:') === 0)
                handleCandidate(line);
        });
    }, 1000);
}

//Test: Print the IP addresses into the console
getIPs(function(ip){console.log(ip);});
</script>